Skip to main content
PATCH
Update ClickPipe
Update the specified ClickPipe. Source fields not present in the per-source update schemas are immutable after creation. For Kafka sources, values submitted for immutable fields (type, format, brokers, topics, consumerGroup, offset, schemaRegistry, exactlyOnce) are not applied, except schema registry credentials, which are rejected.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service to create the ClickPipe for.

clickPipeId
string<uuid>
required

ID of the requested ClickPipe.

Body

application/json
name
string | null

Name of the ClickPipe.

source
object | null
destination
object | null
fieldMappings
object[]

Field mappings of the ClickPipe. This will not update the table schema, only the ClickPipe configuration.

settings
object | null

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on August 6, 2026